declare const _default: {
    name: string;
    props: {
        dialogOp: {
            type: ObjectConstructor;
            default: () => {};
        };
        visible: BooleanConstructor;
        popseletor: {
            type: StringConstructor;
            default: string;
            validator: (value: any) => number;
        };
        multi: {
            type: BooleanConstructor;
            default: boolean;
        };
        gridOp: {
            type: ObjectConstructor;
            default: () => {
                columns: never[];
                data: never[];
            };
        };
        textField: {
            type: StringConstructor;
            default: string;
        };
        textSplit: {
            type: StringConstructor;
            default: string;
        };
        valueField: {
            type: StringConstructor;
            default: string;
        };
        valueSplit: {
            type: StringConstructor;
            default: string;
        };
        remoteSearch: FunctionConstructor;
        showPager: {
            type: BooleanConstructor;
            default: boolean;
        };
        pagerOp: {
            type: ObjectConstructor;
            default: () => {};
        };
        showSelectedBox: {
            type: BooleanConstructor;
            default: boolean;
        };
        selectedBoxOp: {
            type: ObjectConstructor;
            default: () => {};
        };
        treeOp: {
            type: ObjectConstructor;
            default: () => {};
        };
        beforeClose: FunctionConstructor;
        autoLookup: {
            type: BooleanConstructor;
            default: boolean;
        };
        lookupMethod: FunctionConstructor;
        mainHeight: {
            type: NumberConstructor;
            default: number;
        };
        tiny_mode: StringConstructor;
        tiny_mode_root: BooleanConstructor;
        tiny_template: (ObjectConstructor | FunctionConstructor)[];
        tiny_renderless: FunctionConstructor;
        tiny_theme: StringConstructor;
        tiny_chart_theme: ObjectConstructor;
    };
    setup(props: any, context: any): () => any;
};
export default _default;
